sc::SystemException Class Reference

This is thrown when a system problem occurs. More...

`#include <scexception.h>`

Inheritance diagram for sc::SystemException:
[legend]
Collaboration diagram for sc::SystemException:
[legend]

## Public Member Functions

| SystemException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SystemException") throw ()
| SystemException (const SystemException &) throw ()
Public Member Functions inherited from sc::SCException
| SCException (const char *description=0, const char *file=0, int line=0, const ClassDesc *class_desc=0, const char *exception_type="SCException") throw ()
| SCException (const SCException &) throw ()
const char * | what () const throw ()
| Reimplementation of std::exception::what(). More...
const char * | description () const throw ()
const char * | file () const throw ()
int | line () const throw ()
const ClassDesc * | class_desc () const throw ()
const char * | exception_type () const throw ()
std::ostream & | elaborate ()
| Returns a stream where addition information about the exception can be written. More...

## Detailed Description

This is thrown when a system problem occurs.

The documentation for this class was generated from the following file:

- scexception.h